summaryrefslogtreecommitdiff
path: root/libgo/merge.sh
diff options
context:
space:
mode:
authorIan Lance Taylor <ian@gcc.gnu.org>2017-06-27 04:21:40 +0000
committerIan Lance Taylor <ian@gcc.gnu.org>2017-06-27 04:21:40 +0000
commit936615752a29ab245708d40782427c25e60a2114 (patch)
treef43366b59cae9e51da40272eefd1ea71bb3ea055 /libgo/merge.sh
parent9913ef5866a64176bac5749080487b0c7d637d4b (diff)
downloadgcc-936615752a29ab245708d40782427c25e60a2114.tar.gz
libgo: add misc/cgo files
Copy all the misc/cgo files from the gc toolchain into libgo/misc. These will be used for testing purposes by later changes to the gotools directory. Reviewed-on: https://go-review.googlesource.com/46721 From-SVN: r249674
Diffstat (limited to 'libgo/merge.sh')
-rwxr-xr-xlibgo/merge.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/libgo/merge.sh b/libgo/merge.sh
index bdf0043f12b..bc24504e2a0 100755
--- a/libgo/merge.sh
+++ b/libgo/merge.sh
@@ -182,6 +182,13 @@ done
done
done
+(cd ${NEWDIR}/misc/cgo && find . -type f -print) | while read f; do
+ oldfile=${OLDDIR}/misc/cgo/$f
+ newfile=${NEWDIR}/misc/cgo/$f
+ libgofile=misc/cgo/$f
+ merge $f ${oldfile} ${newfile} ${libgofile}
+done
+
(cd ${OLDDIR}/src && find . -name '*.go' -print) | while read f; do
oldfile=${OLDDIR}/src/$f
newfile=${NEWDIR}/src/$f
@@ -197,5 +204,20 @@ done
git rm ${libgofile}
done
+(cd ${OLDDIR}/misc/cgo && find . -type f -print) | while read f; do
+ oldfile=${OLDDIR}/misc/cgo/$f
+ newfile=${NEWDIR}/misc/cgo/$f
+ libgofile=misc/cgo/$f
+ if test -f ${newfile}; then
+ continue
+ fi
+ if ! test -f ${libgofile}; then
+ continue
+ fi
+ echo "merge.sh: ${libgofile}: REMOVED"
+ rm -f ${libgofile}
+ git rm ${libgofile}
+done
+
(echo ${new_rev}; sed -ne '2,$p' MERGE) > MERGE.tmp
mv MERGE.tmp MERGE